
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Angular基础(二) 组件的使用 / 憋错料</title>

    <meta name="description" content="Angular基础(二) 组件的使用 ? 一.简单操作 a) 使用Angular CLI可以快速创建项目框架,先运行 $ npm install –g @angular/[email protected]安装CLI,为CLI的位置设置环境变量,然后就可以全局使用ng命令了. 执行ng new –ng4 angular-hello-world可以创建Angular4项目,会自动生成基础的文件夹和文件,还会自动进行npm i操作,下载并安装所需的依赖. 然后执行ng serve就可以编译并启动这个程序了,但ng并不会自动打开浏览器. b">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Angular基础(二) 组件的使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1NXdjN3N0g3VUhXbDJpYzJhVUtuQ1pkQVFPeFNLM29NZk9RTnhqdjVCYmdwaWJpYTFlblBpYUhQNmdnM0NhMUpOYlNWWmhuU1hsVG14S2F3LzA/d3hfZm10PXBuZw==.jpg"></p>
<p>?</p>
<p><strong>一、简单操作</strong></p>
<p>a) 使用Angular CLI可以快速创建项目框架，先运行 $ npm install –g @angular/[email&#160;protected]安装CLI，为CLI的位置设置环境变量，然后就可以全局使用ng命令了。</p>
<p>执行ng new –ng4 angular-hello-world可以创建Angular4项目，会自动生成基础的文件夹和文件，还会自动进行npm i操作，下载并安装所需的依赖。</p>
<p>然后执行ng serve就可以编译并启动这个程序了，但ng并不会自动打开浏览器。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSSzA3T1Y1RHk3aGNEd1BseEw1aEU1cHlEZWpHOERVRVNoUGJUQ1MzTGRxOHlBUXlDV3Z4S2x3LzA/d3hfZm10PXBuZw==.jpg"></p>
<p>b) 创建一个组件</p>
<p>组件是Angular的核心，运行ng generate componenthello-world可以生成hello-world组件，如果VSCode安装了Angular Files插件，也通过可以方便地右键-添加组件，会为一个组件自动创建四个文件。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSUVNEWWJJRzNSOExpYWhZS3ZTaWNuc1ZUMWozMmRpYlZRTVZ5TlFRWTM5WWtHN1RxYlI3bm42UnR3LzA/d3hfZm10PXBuZw==.jpg"></p>
<p>组件的基本组成部分为装饰器(Component Decorator)和组件定义类(ComponentDefinition class)。</p>
<p>上图右侧的hello-world.component.ts文件中，import引入两个依赖Component和OnInit；@Component部分便是装饰器了，这部分代码将HelloWorld类装饰成了一个组件。因为selector属性的值为“app-hello-world”，&lt;app-hello-world&gt;标签就可以在html中使用了。templateUrl定义了模板的路径，还可使用template并使用倒引号（`…`）直接在ts文件中嵌入模板内容；styleUrl指定当前组件专属的CSS文件路径。</p>
<p>如此，一个组件就创建好了，在app.component.html中加入&lt;app-hello-world&gt;标签就可以使用这个组件了。</p>
<p>c) 在组件中使用数据。</p>
<p>用插件的功能添加一个user-item组件，会自动创建所有的文件，并已将组件添加到了app.component.html。</p>
<p>在组件的ts文件添加name属性并在构造函数初始化</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSSEZ5QjZXb3V2TmVjaWJsR25udlMyWVNHeDRLWDV3SlY0WkVPMkpsNEpEOFVVaEliWHB6UE90QS8wP3d4X2ZtdD1wbmc=.jpg"></p>
<p>随后在模板中使用这个属性，语法为{{name}}。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSWTRrajNCeEdSS0xCQU1obFEwdWN1RmxUclduWGN5aWNpYm9xYUp2OVIwOWpBMmxvY0FmeGppY093LzA/d3hfZm10PXBuZw==.jpg"></p>
<p>d) 数组的使用。</p>
<p>数组的遍历使用*ngFor，这与razor中的遍历类似，会自动创建包含数组成员的标签。在ts文件中定义字符串数组，可以用string[]或Array&lt;string&gt;的写法。然后*ngFor的使用方式为：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSWERNbTFDSmlhSm16NmlhUU5pYzVJQUY1cFZZdDZGT0hPclB5aWFBZ1R1UExHdVlzajNCYkViU0llZy8wP3d4X2ZtdD1wbmc=.jpg"></p>
<p>试了下把let换成var就不行了，let声明的变量作用域被限制在了块级，比var安全，可能这儿的模板语法废弃了var吧。</p>
<p>e) 组件的使用</p>
<p>前面创建的user-item组件中的name属性只是使用了默认的值‘Felipe’。实际使用中，组件是可复用的，属性的值应该从外部指定。</p>
<p>要在user-list组件中使用user-item，可以这样修改user-list的模板：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSSXFaN2dWNWJmNjQzRUdrSk5MUThMTmFMV2liZmF4WUk0eWh5V1VuUDlQM2lhZGszU2FFQWprR3cvMD93eF9mbXQ9cG5n.jpg"></p>
<p>[name]=***这样的写法是在向user-item组件传递值。</p>
<p>修改后的user.item.components.ts如下，导入了Input，并在属性前面加上@Input()，这样就可以从父模板传入值了。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSTmJ4ZFdoQzV6YkN4RGNEUkY4S1VJWlNuM0FvdnB5aWNHZm1ub0hlSnJqWm9vc0pBVEJ3ZXFsZy8wP3d4X2ZtdD1wbmc=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSWVZJcHFBeGtXeVNuRDF3dUpINmQ1NGVsaWF0NEVaMk8zSDZHdHFyUG1LNXFiMnIzTklEZDJZdy8wP3d4X2ZtdD1wbmc=.jpg"></p>
<p><strong>&nbsp;</strong></p>
<p><strong>二、Angular的启动过程</strong></p>
<p>a) 每个程序都有启动入口，在执行ng serve后，ng会在.angular-cli.json中查找入口，.angular-cli.json指向main.ts文件，而main.ts便是程序的入口。在main.ts中platformBrowserDynamic().bootstrapModule(AppModule)语句表示启动程序会执行AppModule，AppModule在app.module.ts中定义。</p>
<p>b) app.module.ts中的具体内容有：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL21tYml6LnFsb2dvLmNuL21tYml6X3BuZy85M3ZWcmliUUFYU1FWZ3RUM29JYmw2V0dJakRpYlFGeGpSVjFxNHZrSzluY2tCd1E3d3JERkp6TTFzbE9IaEtqYUFZV1k5Q3BMbUpycUx5a0x5VG55SmljZy8wP3d4X2ZtdD1wbmc=.jpg"></p>
<p>@NgModule装饰器包含四个属性:declarations、imports、providers和bootstrap。</p>
<p>declaration属性声明了当前AppModule模块包含的组件，创建的新组件会自动添加到这里。</p>
<p>imports属性导入了AppModule依赖的模块。关于imports与头部的import的区别作者后面会细说。</p>
<p>prividers属性用于进行依赖注入，现在不懂了。</p>
<p>bootstrap属性指定了运行该模块时，加载的第一个组件。</p>
<p>学习资料：The Complete Book on Angular by Nate Murray, Felipe Coury, AriLerner , Carlos Taborda</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-15 03:31:31 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e6%9f%a5%e6%89%be/" title="查找">查找</a>, <a href="https://www.biecuoliao.com/tag/%e4%b8%8b%e8%bd%bd/" title="下载">下载</a>, <a href="https://www.biecuoliao.com/tag/ini/" title="ini">ini</a>, <a href="https://www.biecuoliao.com/tag/png/" title="png">png</a>, <a href="https://www.biecuoliao.com/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.biecuoliao.com/tag/tab/" title="tab">tab</a>, <a href="https://www.biecuoliao.com/tag/%e5%9f%ba%e7%a1%80/" title="基础">基础</a>, <a href="https://www.biecuoliao.com/tag/mbr/" title="mbr">mbr</a>, <a href="https://www.biecuoliao.com/tag/bgp/" title="bgp">bgp</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Angular基础(二) 组件的使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02a99DM.html" rel="bookmark">第214天&colon;Angular 基础概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Angular 简介 1. 什么是 AngularJS - 一款非常优秀的前端高级 JS 框架 - 最早由 Misko Hevery 等人创建 - 2009 年被 Google 公式收购,用于其多款产品 - 目前有一个全职的开发团队继续开发和维护这个库 - 有了这一类框架就可以轻松构建 SPA 应用程序 - 轻松构建 SPA(单一页面应用程序) - 单一页面应用程序: + 只有一个页面(整个应用的一个载体) + 内容全部是由AJAX方式呈现出啦的 - 其核心就是通过指令扩展了 HTML,通过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXYBWw0.html" rel="bookmark">angular基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				常用的设计原则和设计模式 1.设计原则(明确)① YANGI(You aren't gonna need it) 不写不需要的代码②KISS(Keep it simple and stupid) 代码越简单越好③DRY(Don't Repeat Yourself)封装代码④高内聚低耦合内聚:一个模块内部的不同部分之间的关系耦合:不同模块/组件的关系⑤SRP(single responsibility principle) 单一责任原则⑥OCP(open closed principle) 开闭原			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xBkjL4.html" rel="bookmark">Bootstrap &amp;lt&semi;基础二十八&amp;gt&semi;列表组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				列表组.列表组件用于以列表形式呈现复杂的和自定义的内容.创建一个基本的列表组的步骤如下: 向元素 &lt;ul&gt; 添加 class .list-group. 向 &lt;li&gt; 添加 class .list-group-item. 下面的实例演示了这点: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;Bootstrap 实例 - 基本的列表组&lt;/title&gt; &lt;link href=&quot;/boo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyBZYp0.html" rel="bookmark">Bootstrap &amp;lt&semi;基础二十二&amp;gt&semi;超大屏幕（Jumbotron）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Bootstrap 支持的另一个特性,超大屏幕(Jumbotron).顾名思义该组件可以增加标题的大小,并为登陆页面内容添加更多的外边距(margin).使用超大屏幕(Jumbotron)的步骤如下: 创建一个带有 class .jumbotron. 的容器 &lt;div&gt;. 除了更大的 &lt;h1&gt;,字体粗细 font-weight 被减为 200px. 下面的实例演示了这点: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;tit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyNdnL0.html" rel="bookmark">Bootstrap&amp;lt&semi;基础二十七&amp;gt&semi; 多媒体对象（Media Object）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Bootstrap 中的多媒体对象(Media Object).这些抽象的对象样式用于创建各种类型的组件(比如:博客评论),我们可以在组件中使用图文混排,图像可以左对齐或者右对齐.媒体对象可以用更少的代码来实现媒体对象与文字的混排. 媒体对象轻量标记.易于扩展的特性是通过向简单的标记应用 class 来实现的.你可以在 HTML 标签中添加以下两种形式来设置媒体对象: .media:该 class 允许将媒体对象里的多媒体(图像.视频.音频)浮动到内容区块的左边或者右边. .media-list			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KdBD93.html" rel="bookmark">将 Shiro 作为应用的权限基础 二：基于SpringMVC实现的认证过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				认证就是验证用户身份的过程.在认证过程中,用户需要提交实体信息(Principals)和凭据信息(Credentials)以检验用户是否合法.最常见的“实体/凭证”组合便是“用户名/密码”组合. 一.认证过程 1.收集实体/凭据信息 Java代码 UsernamePasswordToken token = new UsernamePasswordToken(username, password); token.setRememberMe(true); UsernamePasswordToken支			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLnZke3.html" rel="bookmark">angular 有关侦测组件变化的  ChangeDetectorRef  对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道,如果我们绑定了组件数据到视图,例如使用 &lt;p&gt;{{content}}&lt;/p&gt;,如果我们在组件中改变了content的值,那么视图也会更新为对应的值. angular 会在我们的组件发生变化的时候,对我们的组件执行变化检测,如果检测到我们的数据发生了变化,就会执行某些操作,如修改绑定数据的时候更新视图. 这样一来,当我们的组件数据比较多的时候,angular就会有很多操作在静悄悄地进行,一个规避这个问题的方法是,设置某个组件的变化检测策略为 'OnPush'. 使用 OnP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Myrrke0.html" rel="bookmark">Angular动态创建组件之Portals</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍使用Angular api 和 CDK Portals两种方式实现动态创建组件,另外还会讲一些跟它相关的知识点,如:Angular多级依赖注入.ViewContainerRef,Portals可以翻译为 门户 ,我觉得放到这里叫 入口 更好,可以理解为动态创建组件的入口,类似于小程序或者Vue中的Slot. cdk全名Component Development Kit 组件开发包,是Angular官方在开发基于Material Design的组件库时抽象出来单独的一个开发包,里面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/356mDj4.html" rel="bookmark">&lbrack;从 0 开始的 Angular 生活&rsqb;No&period;38 实现一个 Angular Router 切换组件页面&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 今天是进入公司的第三天,为了能尽快投入项目与成为团队可用的战力,我正在努力啃官方文档学习 Angular 的知识,所以这一篇文章主要是记录我如何阅读官方文档后,实现这个非常基本的.带导航的网页应用. 需求 需求大概是这样的: 开一个新的 Angular 项目,并且一开始选择加入 Router 功能 根组件是 AppComponent ,然后下方有三个子组件分别是 page1 page2 page3 可以在 AppComponent 内点击连结切换到这三个页面 参考文档: 路由与导航 Rou			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9ME7dQ3.html" rel="bookmark" class="title">大话数据结构---单链表</a>
					<div>
						单链表在存储结构上与顺序存储的区别:不用开辟连续的存储空间,存储位置任意,只需要让数据的前驱知道它的位置就可以,而使用单链表示只需要知道单链表的第一个元素就能找到其他所有的元素,为了方便 一般会设置一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3OxAg4.html" rel="bookmark" class="title">android有返回结果的 Activity</a>
					<div>
						package com.example.android.active; import android.app.Activity; import android.content.Intent; impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0arpA3.html" rel="bookmark" class="title">结对编程的利与弊</a>
					<div>
						结对编程(Pair-Programming) 可能是近年来最为流行的编程方式.所谓结对编程,也就是两个人写一个程序,其中,一个人叫A,另一个人叫B,A在编程代码,而B在旁边实时查看A的代码,并帮助A编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmbyKM.html" rel="bookmark" class="title">在eclipse中添加android ADT</a>
					<div>
						对于程序开发的学者来说,eclipse并不陌生,它为我们提供了一个非常广阔的平台来开发程序.同样我们也可以用它来开发android程序. 但是在eclipse中并不能直接开发android程序,需要我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8bmW3.html" rel="bookmark" class="title">林锐《软件工程思想》读后感</a>
					<div>
						读了林锐博士的&lt;软件工程思想&gt;,我对软件工程这门学科又有了更加深刻的认识.这本书不过虽然并没有什么长篇大论,但是作者的文风幽默而且亲和.特别是在写程序员的生活和工作已经融为一体时,即便现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2rav3.html" rel="bookmark" class="title">self和super之间的区别</a>
					<div>
						关于 self 和 super 之间的区别, 首先要了解  1, self  是什么 :super 是什么.2,[ super init] 做什么.3,为什么要 self =  [super init ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nEolvM.html" rel="bookmark" class="title">ubuntu14&period;04无法播放更新后完善的解决方案</a>
					<div>
						-------------------------------------- 前几天的ubuntu升级14.04该,(Kubuntu版本)时间去更新一下系统..结果没有声音了,网络视频也看不了了.百度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RYGKpM.html" rel="bookmark" class="title">c语言中函数的递归</a>
					<div>
						题目:用递归法把一个整数转换成字符串输出. 比较下面两种方法的不同: putchar(n%10+'0')的位置不同,造成输出结果的不同. 方法一: 1 #include &lt;stdio.h&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEajg0.html" rel="bookmark" class="title">树的直径</a>
					<div>
						*总结的别人博客 树的直径(Diameter)是指树上的最长简单路.直径的求法:两遍BFS (or DFS)任选一点u为起点,对树进行BFS遍历,找出离u最远的点v以v为起点,再进行BFS遍历,找出离 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvon94.html" rel="bookmark" class="title">java 实现一个简易计算器</a>
					<div>
						import java.util.Scanner;public class Test { public static void main(String[] args) { count(); } pub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLY78M.html" rel="bookmark" class="title">CSS权威指南-第三版--读书笔记</a>
					<div>
						第一章:CSS和文档 html是结构化语言,css是样式语言,html主要用来被强大的搜索引擎更好的索引,更好的让一个盲人通过语音浏览器来了解我们的网页,这也就是为什么说html是结构话语言,因为这是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/478LAYM.html" rel="bookmark" class="title">暴力方法&mdash;&mdash;打表求解</a>
					<div>
						有时候在竞赛中我们可能会碰到一种比较棘手的题目,这种题目数据较大且运算量较大,如果直接写解可能会致使时间复杂度变得很大,少则O(n2),多则O(nn),于是问题就来了,如何设计高效解法.但是在设计高效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38byLAM.html" rel="bookmark" class="title">kafka offset 设置</a>
					<div>
						http://stackoverflow.com/questions/36579815/kafka-python-how-do-i-commit-a-partitionfrom kafka impor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9DOl4.html" rel="bookmark" class="title">任笑萱  2015&sol;7&sol;7 个人文档</a>
					<div>
						姓名 任笑萱 日期 2015年7月7日 主要工作及心得 今天正式开始干活.上午首先是完成了数据库的设计,这部分相对来说比较容易,几张表设计完成之后,相对应的填充了一下每张表的数据. 下午主要就是界面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBbRzZM.html" rel="bookmark" class="title">鬯爬秦窃睦g8n5oj08219ul5107rk</a>
					<div>
						https://www.plurk.com/a8d436n32s0http://ip72ujh7.qic.com.cn/http://www.hisugarnews.com/news/20150622 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jvo2l4.html" rel="bookmark" class="title">oracle增加表空间的方法示例</a>
					<div>
						oracle增加表空间的四种方法 增加oracle表空间大小的四种方法1.给表空间增加数据文件 alter tablespace app_data add datafile 'd:\oracle\pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBXvyM.html" rel="bookmark" class="title">bzoj2453</a>
					<div>
						传送门:http://www.lydsy.com/JudgeOnline/problem.php?id=2453 题目大意: (1)       若第一个字母为“M”,则紧接着有三个数字L.R.W.表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWdLyr0.html" rel="bookmark" class="title">C&num;笔记&mdash;&mdash;基础篇</a>
					<div>
						C#笔记——基础篇 一．入门知识 VS中的常用快捷键 Ctrl+K+D:快速对齐代码 Ctrl+Z:撤销 Ctrl+S:保存(一定要经常保存!) Ctrl+J:快速弹出智能提示 Shift+End . ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41eovP4.html" rel="bookmark" class="title">swiper 增加同页面增加2个滚动</a>
					<div>
						js代码 &lt;script type=&quot;text/javascript&quot;&gt; var mySwiper = new Swiper('.slide_a',{ noSwipin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgOwy3.html" rel="bookmark" class="title">字段计算器VBS</a>
					<div>
						ArcGIS属性表中右键可调用字段计算器.写一些简单代码可操作属性表,有VBS和Python两种. 现在要求是:如果&quot;地块编码&quot;为空,则将&quot;地块编号&quot;赋给&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
